FreeMat

- Main Page
- Related Pages

vtkStreamGraph

Section: Visualization Toolkit Infovis Classes

# Usage

vtkStreamGraph iteratively collects information from the input graph and combines it in the output graph. It internally maintains a graph instance that is incrementally updated every time the filter is called.

Each update, vtkMergeGraphs is used to combine this filter's input with the internal graph.

To create an instance of class vtkStreamGraph, simply invoke its constructor as follows

      obj = vtkStreamGraph

# Methods

The class vtkStreamGraph has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkStreamGraph class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkStreamGraph = obj.NewInstance ()`
- `vtkStreamGraph = obj.SafeDownCast (vtkObject o)`
- `obj.SetMaxEdges (vtkIdType )` - The maximum number of edges in the combined graph. Default is -1, which specifies that there should be no limit on the number of edges.
- `vtkIdType = obj.GetMaxEdges ()` - The maximum number of edges in the combined graph. Default is -1, which specifies that there should be no limit on the number of edges.